Ubuntu

Bug duplicates files icon in GNOME3 and Unity

Reported by sumate mepokkij on 2011-11-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nautilus (Ubuntu)
Low
Didier Roche
Oneiric
Undecided
Unassigned

Bug Description

Bug duplicates files icon in GNOME3 and Unity.

picture

http://imageshack.us/photo/my-images/210/screenshotat20111105094.png/

Thanks you very much.

test case:
* open the unity dash in the application lens/GS activity view
* see that you only have one "file" entry

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: nautilus 1:3.2.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Sat Nov 5 09:47:27 2011
ExecutablePath: /usr/bin/nautilus
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
SourcePackage: nautilus
UpgradeStatus: Upgraded to oneiric on 2011-10-21 (14 days ago)

sumate mepokkij (wig-2006) wrote :
Sebastien Bacher (seb128) wrote :

Confirmed, that's a sideeffect of the compat symlink added in 1:3.2.1-0ubuntu3, Didier I think we should rather copy the file and use a NoDisplay=true there...

Changed in nautilus (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Low
status: New → Confirmed
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Didier Roche (didrocks) on 2011-11-10
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.2.1-0ubuntu4

---------------
nautilus (1:3.2.1-0ubuntu4) precise; urgency=low

  [ Chow Loong Jin ]
  * Add upstream patch to workaround focus issues on typeahead:
    - debian/patches/git-0001-Workaround-focus-issues-on-typeahead.patch
    (LP: #879456)

  [ Dmitry Shachnev ]
   * debian/patches/05_desktop_menu_export.patch (updated):
    - Stop hiding actions that do not exist anymore (LP: #880938)

  [ Didier Roche ]
  * Remove duplicate files icon, still workarounding missing desktop file:
    (LP: #886428)
    - removed debian/nautilus.links
    - ship debian/nautilus-folder-handler.desktop, copy of nautilus.desktop
      with NoDisplay=true
    - debian/nautilus.install: install the new file
  * debian/patches/11_copy_skipping_pager.patch:
    - only skip pager for the unity session (LP: #868032)

nautilus (1:3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/nautilus.links: provide a symlink to workaround missing desktop file
    from prefered mimeapps.list (LP: #876788)
 -- Didier Roche <email address hidden> Thu, 10 Nov 2011 09:37:51 +0100

Changed in nautilus (Ubuntu):
status: Triaged → Fix Released

Hello sumate, or anyone else affected,

Accepted nautilus into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nautilus (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
sumate mepokkij (wig-2006) wrote :

Thanks you very much to fix bug.

tags: added: verification-done
removed: verification-needed
Pedro Villavicencio (pedro) wrote :

Fix is working as expected here. Thanks all.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.2.1-0ubuntu3.1

---------------
nautilus (1:3.2.1-0ubuntu3.1) oneiric-proposed; urgency=low

  [ Chow Loong Jin ]
  * Add upstream patch to workaround focus issues on typeahead:
    - debian/patches/git-0001-Workaround-focus-issues-on-typeahead.patch
    (LP: #879456)

  [ Dmitry Shachnev ]
   * debian/patches/05_desktop_menu_export.patch (updated):
    - Stop hiding actions that do not exist anymore (LP: #880938)

  [ Didier Roche ]
  * Remove duplicate files icon, still workarounding missing desktop file:
    (LP: #886428)
    - removed debian/nautilus.links
    - ship debian/nautilus-folder-handler.desktop, copy of nautilus.desktop
      with NoDisplay=true
    - debian/nautilus.install: install the new file
  * debian/patches/11_copy_skipping_pager.patch:
    - only skip pager for the unity session (LP: #868032)

nautilus (1:3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/nautilus.links: provide a symlink to workaround missing desktop file
    from prefered mimeapps.list (LP: #876788)
 -- Didier Roche <email address hidden> Thu, 10 Nov 2011 09:37:51 +0100

Changed in nautilus (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers